Knowledge base

Get document

A single document with its content and sync state.

GEThttps://app.elunos.ai/api/v1/knowledge/documents/{id}

Returns one document including its content. If the ID is unknown, the API answers 404.

Path parameters

iduuidPflicht

ID of the document.

Example

curl https://app.elunos.ai/api/v1/knowledge/documents/019f94f9-f54b-7303-a1b6-672be034af82 \
  -H "Authorization: Bearer np_xxxxxxxx"

Response

{
  "data": {
    "id": "019f94f9-f54b-7303-a1b6-672be034af82",
    "name": "Öffnungszeiten",
    "source_type": "text",
    "folder_id": "019f94f8-0a1b-7c2d-8e3f-4a5b6c7d8e9f",
    "sync_status": "synced",
    "sync_error": null,
    "created_at": "2026-09-01T09:00:00+02:00",
    "updated_at": "2026-09-01T09:00:00+02:00",
    "content_text": "Mo bis Fr 8 bis 18 Uhr"
  }
}